Package org.apache.tapestry5.modules

## Class PageLoadModule

- java.lang.Object
- - org.apache.tapestry5.modules.PageLoadModule

-     @Marker(Core.class)
      public class PageLoadModule
      extends java.lang.Object

  Since:
    5.3

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PageLoadModule()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `bind​(ServiceBinder binder)` |
    `static ComponentDependencyRegistry` | `buildComponentDependencyRegistry​(InternalComponentInvalidationEventHub internalComponentInvalidationEventHub, ResourceChangeTracker resourceChangeTracker, ComponentTemplateSource componentTemplateSource, PageClassLoaderContextManager pageClassLoaderContextManager, ComponentInstantiatorSource componentInstantiatorSource, ComponentClassResolver componentClassResolver, TemplateParser templateParser, ComponentTemplateLocator componentTemplateLocator, PerthreadManager perthreadManager, java.lang.String componentDependencyFile, boolean productionMode)` |
    `static PageCachingReferenceTypeService` | `buildPageCachingReferenceTypeService​(java.util.List<PageCachingReferenceTypeService> configuration, ChainBuilder chainBuilder)` |
    `static void` | `contributeFactoryDefaults​(MappedConfiguration<java.lang.String,​java.lang.Object> configuration)` | Contributes factory defaults that may be overridden.
    `static void` | `contributePageCachingReferenceTypeService​(OrderedConfiguration<PageCachingReferenceTypeService> configuration)` |
    `void` | `preloadPageClassLoaderContexts​(PageClassLoaderContextManager pageClassLoaderContextManager, ComponentDependencyRegistry componentDependencyRegistry, boolean productionMode, boolean multipleClassLoaders)` |
    `static void` | `preloadPages​(PagePreloader preloader, PreloaderMode mode, boolean productionMode)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PageLoadModule

          public PageLoadModule()

  - ### Method Detail

    - #### contributeFactoryDefaults

          public static void contributeFactoryDefaults​(MappedConfiguration<java.lang.String,​java.lang.Object> configuration)

      Contributes factory defaults that may be overridden.

    - #### bind

          public static void bind​(ServiceBinder binder)

    - #### preloadPages

          @Startup
          public static void preloadPages​(PagePreloader preloader,
                                          @Symbol("tapestry.page-preload-mode")
                                          PreloaderMode mode,
                                          @Symbol("tapestry.production-mode")
                                          boolean productionMode)

    - #### preloadPageClassLoaderContexts

          @Startup
          @Order("before:*")
          public void preloadPageClassLoaderContexts​(PageClassLoaderContextManager pageClassLoaderContextManager,
                                                     ComponentDependencyRegistry componentDependencyRegistry,
                                                     @Symbol("tapestry.production-mode")
                                                     boolean productionMode,
                                                     @Symbol("tapestry.multiple-classloaders")
                                                     boolean multipleClassLoaders)

    - #### buildPageCachingReferenceTypeService

          public static PageCachingReferenceTypeService buildPageCachingReferenceTypeService​(java.util.List<PageCachingReferenceTypeService> configuration,
                                                                                             ChainBuilder chainBuilder)

    - #### contributePageCachingReferenceTypeService

          public static void contributePageCachingReferenceTypeService​(OrderedConfiguration<PageCachingReferenceTypeService> configuration)

    - #### buildComponentDependencyRegistry

          public static ComponentDependencyRegistry buildComponentDependencyRegistry​(InternalComponentInvalidationEventHub internalComponentInvalidationEventHub,
                                                                                     ResourceChangeTracker resourceChangeTracker,
                                                                                     ComponentTemplateSource componentTemplateSource,
                                                                                     PageClassLoaderContextManager pageClassLoaderContextManager,
                                                                                     ComponentInstantiatorSource componentInstantiatorSource,
                                                                                     ComponentClassResolver componentClassResolver,
                                                                                     TemplateParser templateParser,
                                                                                     ComponentTemplateLocator componentTemplateLocator,
                                                                                     PerthreadManager perthreadManager,
                                                                                     @Symbol("tapestry.component-dependency-file")
                                                                                     java.lang.String componentDependencyFile,
                                                                                     @Symbol("tapestry.production-mode")
                                                                                     boolean productionMode)